PETSc version 3.15.5
Fix/Edit manual page

# SNESGetFunctionType

Gets the SNESNormSchedule used in covergence and monitoring of the SNES method.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESGetFunctionType(SNES snes, SNESFunctionType *type)

Logically Collective on SNES

### Input Parameters

| snes | - the SNES context
| normschedule | - the type of the norm used

### See Also

SNESSetNormSchedule(), SNESComputeFunction(), VecNorm(), SNESSetFunction(), SNESSetInitialFunction(), SNESNormSchedule

### Level

advanced

### Location

src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages